Imagick::setImageExtent
Imagick::setImageFormat
Imagick
PHP Manual

# Imagick::setImageFilename

(PECL imagick 2.0.0)

Imagick::setImageFilename — Sets the filename of a particular image

### Description

bool Imagick::setImageFilename ( string `$filename` )

Sets the filename of a particular image in a sequence.

### Parameters

`filename`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::setImageExtent
Imagick::setImageFormat
Imagick
PHP Manual